<div class="card">
  <div class="card-header py-0" id="headingOne">
    <h5 class="mb-0">
      <button class="btn btn-link shadow-none" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne" type="button">
        <%= t 'procedures.index.box_title.health_facility' %>
      </button>
    </h5>
  </div>

  <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-parent="#filters-accordion">
    <div class="card-body">
      <!-- Health Facility Name -->
      <%= form.label(:health_facility, t('procedures.index.hf.name')) %><br>
      <%= form.select(:health_facility_id_in,
            options_for_select(health_facilities_options(), params.dig(:q, :health_facility_id_in)),
            {},
            {
              class: "selectpicker",
              onchange: 'hfNameLegend.update(this)',
              multiple: true,
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'hfName', t('.hf_name_legend') %>

      <hr>

      <!-- Health Facility Administration -->
      <%= form.label(:health_facility_administration, t('procedures.index.hf.administration')) %><br>
      <%= form.select(:health_facility_administration_cont_any,
            options_for_select(administration_options(), params.dig(:q, :health_facility_administration_cont_any)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'hfAdministrationLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'hfAdministration', t('.hf_administration_legend') %>

      <hr>

      <!-- Health Facility Beds quantity -->
      <%= form.label(:health_facility_beds, t('procedures.index.hf.beds')) %><br>
      <%= form.text_field(:health_facility_beds_between,
            data: {
              provide: 'slider',
              slider_ticks: [0, max_beds()],
              slider_value: params[:q].nil? ? [0, max_beds()] : params[:q][:health_facility_beds_between].split(',').map(&:to_i),
              slider_tooltip: 'show',
              slider_tooltip_split: true
            }
      ) %><hr>

      <!-- Health Facility State -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: HealthFacility,
                                                                            division: 'state' } %>

      <!-- Health Facility City -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: HealthFacility,
                                                                            division: 'city' } %>

      <!-- Health Facility AS -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: HealthFacility,
                                                                            division: 'administrative_sector' } %>

      <!-- Health Facility Subprefecture -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: HealthFacility,
                                                                            division: 'subprefecture' } %>

      <!-- Health Facility THS -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: HealthFacility,
                                                                            division: 'technical_health_supervision' } %>

      <!-- Health Facility RHC -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: HealthFacility,
                                                                            division: 'regional_health_coordination' } %>
    </div>
  </div>
</div>
